If the Unable to execute dex: java.nio.BufferOverflowException. error occurred i

If the Unable to execute dex: java.nio.BufferOverflowException. error occurred when compiling cocos2d-x programs

Have a look the installed SDK version if there are api-19 or android4.4
May be the problem caused by the

Start the sak manager the API deleted, restart eclipse after the mouse right click HelloWorld (your Engineering) -> properties-> Android then select the other version,
The following library errors are also deleted and then re run

Can refer to this article English articles

https://code.google.com/p/android/issues/detail?id=61710


My problem is solved

Started by Arnold at December 16, 2016 - 10:31 AM

To create a new project with the upgrade after eclipse, the original class, layout file is copied into, can be compiled through

Posted by Chelsea at December 17, 2016 - 11:11 AM

The first floor of the problem if you create a new project, the problem can be still, your solution can only solve the existing project?

By the way to add a point inside the tool Android SDK build-tools 19 Android SDK platform-tools 19 cannot delete delete, delete later not found ADB.

Posted by Arnold at December 31, 2016 - 12:06 PM

https://code.google.com/p/android/issues/detail?id=61710

Posted by Bertram at January 14, 2017 - 1:01 PM